Loading...
Searching...
No Matches
DebugToFile.h File Reference

Defines the lowering pass that injects code at the end of every realization to dump functions to a file for debugging. More...

`#include <map>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::debug_to_file (Stmt s, const std::vector< Function > &outputs, const std::map< std::string, Function > &env)
| Takes a statement with Realize nodes still unlowered.

## Detailed Description

Defines the lowering pass that injects code at the end of every realization to dump functions to a file for debugging.

Definition in file DebugToFile.h.